Bug 484497 - Color picker selects incorrect values when an ICC profile is applied to the display
Summary: Color picker selects incorrect values when an ICC profile is applied to the d...
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Plasma
Component: Color Picker (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-03-25 23:38 UTC by nathan
Modified: 2024-05-14 14:49 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.0.4


Attachments
The color picker output a value of #65DCFF when clicking on #4AA1FF (418.22 KB, image/png)
2024-03-25 23:38 UTC, nathan
Details
The color picker behaving normally when no ICC profile is applied to the display. (397.19 KB, image/png)
2024-03-25 23:38 UTC, nathan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nathan 2024-03-25 23:38:03 UTC
Created attachment 167768 [details]
The color picker output a value of #65DCFF when clicking on #4AA1FF

SUMMARY
When using the color picker applet with an ICC profile applied to your display, color values output by the color picker will not match the values of the colors clicked on with the eye dropper.

STEPS TO REPRODUCE
1. Apply an ICC profile to your display
2. Use the color picker applet to select a color on screen with a known value

OBSERVED RESULT
The color value output by the color picker applet is not the same as the selected color.

EXPECTED RESULT
The color value output by the color picker applet matches that of the selected color, as it does when an ICC profile is not applied to the display.

SOFTWARE/OS VERSIONS
Operating System: EndeavourOS 
KDE Plasma Version: 6.0.2
KDE Frameworks Version: 6.0.0
Qt Version: 6.6.2
Kernel Version: 6.8.1-arch1-1 (64-bit)
Graphics Platform: Wayland
Graphics Processor: AMD Radeon RX 6800
Comment 1 nathan 2024-03-25 23:38:35 UTC
Created attachment 167769 [details]
The color picker behaving normally when no ICC profile is applied to the display.
Comment 2 Bug Janitor Service 2024-04-05 16:12:18 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/5569
Comment 3 Zamundaaa 2024-04-06 13:37:04 UTC
Git commit b29b3db26d6e0c660d5dcfffa29001737335ef93 by Xaver Hugl.
Committed on 06/04/2024 at 13:28.
Pushed by zamundaaa into branch 'master'.

plugins/colorpicker: fix interaction with SDR brightness

Right now both source and target color descriptions have SDR brightness values,
and the target one gets used; in this case however the source brightness needs
to be used instead.

M  +2    -1    src/plugins/colorpicker/colorpicker.cpp

https://invent.kde.org/plasma/kwin/-/commit/b29b3db26d6e0c660d5dcfffa29001737335ef93
Comment 4 Zamundaaa 2024-04-06 14:11:21 UTC
Git commit 615177749e6ca19cd1e786f826dbb0a428a8eb62 by Xaver Hugl.
Committed on 06/04/2024 at 13:52.
Pushed by zamundaaa into branch 'Plasma/6.0'.

plugins/colorpicker: fix interaction with SDR brightness

Right now both source and target color descriptions have SDR brightness values,
and the target one gets used; in this case however the source brightness needs
to be used instead.


(cherry picked from commit b29b3db26d6e0c660d5dcfffa29001737335ef93)

M  +2    -1    src/plugins/colorpicker/colorpicker.cpp

https://invent.kde.org/plasma/kwin/-/commit/615177749e6ca19cd1e786f826dbb0a428a8eb62
Comment 5 nathan 2024-05-09 22:44:34 UTC
I'm still experiencing this on 6.0.4; is that expected?
Comment 6 nathan 2024-05-14 14:49:00 UTC
(In reply to nathan from comment #5)
> I'm still experiencing this on 6.0.4; is that expected?

and 6.0.4-101. I wonder if maybe it's just the hex value printed onto the applet that's different?